@extends('themes.base.layout')
@section('title', $album->name)

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1>{{ $album->name }}</h1>
                <p>{{ $album->description }}</p>
                <hr/>

                <div>
                    {{-- Nav tabs --}}
                    <ul class="nav nav-tabs" role="tablist">
                        <li role="presentation" class="active"><a href="#upload-tab" aria-controls="upload-tab" role="tab" data-toggle="tab"><i class="fa fa-fw fa-upload"></i> Upload</a></li>
                        <li role="presentation"><a href="#settings-tab" aria-controls="settings-tab" role="tab" data-toggle="tab"><i class="fa fa-fw fa-cog"></i> Settings</a></li>
                    </ul>

                    {{-- Tab panes --}}
                    <div class="tab-content">
                        <div role="tabpanel" class="tab-pane active" id="upload-tab">
                            <h4>Upload single images</h4>

                            {!! Form::open(['route' => 'photos.store', 'method' => 'POST', 'files' => true]) !!}
                            {!! Form::hidden('album_id', $album->id) !!}

                            <div class="form-group">
                                {!! Form::file('photo[]', ['class' => 'control-label', 'multiple' => 'multiple']) !!}
                            </div>

                            <div>
                                {!! Form::submit(trans('forms.upload_action'), ['class' => 'btn btn-success']) !!}
                            </div>
                            {!! Form::close() !!}

                            <hr/>
                            <h4>Bulk upload</h4>

                            {!! Form::open(['route' => 'photos.storeBulk', 'method' => 'POST', 'files' => true]) !!}
                            {!! Form::hidden('album_id', $album->id) !!}

                            <div class="form-group">
                                {!! Form::file('archive', ['class' => 'control-label']) !!}
                            </div>

                            <div>
                                {!! Form::submit(trans('forms.upload_action'), ['class' => 'btn btn-success']) !!}
                            </div>
                            {!! Form::close() !!}
                        </div>

                        <div role="tabpanel" class="tab-pane" id="settings-tab">
                            <h4>Settings</h4>
                        </div>
                    </div>
                </div>

                <div class="btn-toolbar" style="margin-top: 30px;">
                    <a href="{{ route('albums.edit', ['id' => $album->id]) }}" class="btn btn-default">@lang('forms.edit_action')</a>
                    <a href="{{ route('albums.delete', ['id' => $album->id]) }}" class="btn btn-danger">@lang('forms.delete_action')</a>
                </div>
            </div>
        </div>
    </div>
@endsection